local ok, tui_nvim = pcall(require, "tui-nvim")

if not ok then
  return
end

tui_nvim.setup{}

local lf = function(method)
  local lf_cmd = vim.env.GOBIN .. "/lf"
  local tempfile = vim.fn.stdpath("cache") .. "/tui-nvim"

  tui_nvim:new {
    cmd    = lf_cmd .. " -selection-path " .. tempfile .. " " .. vim.env.PWD,
    temp   = tempfile,
    method = method,
  }
end

local LfEdit = function()
  lf("edit")
end

local LfSplit = function()
  lf("split")
end

local LfVsplit = function()
  lf("vsplit")
end

vim.api.nvim_create_user_command( 'LfEdit', LfEdit, {} )
vim.api.nvim_create_user_command( 'LfSplit', LfSplit, {} )
vim.api.nvim_create_user_command( 'LfVsplit', LfVsplit, {} )

